### Function

# EvinceDocument Document misc_surface_rotate_and_scale

#### Declaration [src]

    cairo_surface_t*
    ev_document_misc_surface_rotate_and_scale (
      cairo_surface_t* surface,
      gint dest_width,
      gint dest_height,
      gint dest_rotation
    )

#### Description

No description available.

#### Parameters

`surface`

  Type: `cairo_surface_t`

  No description available.

  The data is owned by the caller of the function.

`dest_width`

  Type: `gint`

  No description available.

`dest_height`

  Type: `gint`

  No description available.

`dest_rotation`

  Type: `gint`

  No description available.

#### Return value

Type: `cairo_surface_t`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.